﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class RegistroNotas : System.Web.UI.Page
{
    PermServ ps = new PermServ();
    Usua_t usua;
    String idcurs;
    String cort;

    protected void Page_Load(object sender, EventArgs e)
    {
        String id = (String)Session["usua"];
        if (id == null)
        {
            Response.Redirect("Default.aspx");
            Response.End();
            return;
        }
        usua = ps.getUsua(id);
        idcurs = Request.QueryString["C"];
        cort = ps.getCort();
        if (cort == null)
        {
            Response.Redirect("Default.aspx");
            Response.End();
            return;
        }
        if (Request.Form["btenvi"] != null) savNota();
    }
    public bool muescurs()
    {
        return idcurs == null;
    }
    public bool muesestu()
    {
        return idcurs != null;
    }
    public Curs_t getcurs()
    {
        return ps.getCurs(idcurs);
    }
    public List<Curs_t> getcrss()
    {
        List<Curs_t> crss = ps.getCursByProf(usua.id);
        return crss;
    }
    public String getnota(EstuCurs_t ec)
    {
        String nota = "";
        if (cort == "1") nota = ec.cor1;
        else if (cort == "2") nota = ec.cor2;
        else if (cort == "3") nota = ec.defi;
        return nota;
    }
    public String getnmcort()
    {
        String nomb = "";
        if (cort == "1") nomb = "CORTE1 " + ps.getPeri().cor1;
        else if (cort == "2") nomb = "CORTE2 " + ps.getPeri().cor2;
        else if (cort == "3") nomb = "DEFINITIVA " + ps.getPeri().fina;
        return nomb;
    }
    public List<EstuCurs_t> getestucurs()
    {
        List<EstuCurs_t> ecs = new List<EstuCurs_t>();
        if (idcurs != null)
        {
            ecs = ps.getEstuCursByCurs(idcurs);
        }
        return ecs;
    }
    void savNota()
    {
        if (idcurs != null)
        {
            List<EstuCurs_t> ecs = getestucurs();
            foreach (EstuCurs_t ec in ecs)
            {
                String nota = Request.Form["nota" + ec.id];
                if (nota != null)
                {
                    if (cort == "1") ec.cor1 = nota;
                    else if (cort == "2") ec.cor2 = nota;
                    else if (cort == "3") ec.defi = nota;
                }
            }
            ps.savNota(ecs, cort);
            lbmens.Text = "Grabado!";
        }
    }
}